- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# static_if Struct Template Reference
[Miscellaneous constructs used by Vaucanson, Miscellaneous constructs used by Vaucanson]

Choose between two types or values depending on a constant Boolean. More...

List of all members.

## Detailed Description

### template<bool b, typename T, typename U>
struct vcsn::misc::static_if< b, T, U >

Choose between two types or values depending on a constant Boolean.

Author:
  Raphael Poss <raph@lrde.epita.fr>

See also:
  static_if_simple

Definition at line 89 of file static.hh.